# LDAP mapping for user name and e-mail

This module extends the functionality of the auth_ldap module to support mail from LDAP and to allow you to get an e-mail address from LDAP accounts to Odoo users.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. Open Odoo in your browser
2. Go to Settings > General Settings
3. In the Integrations section click on LDAP Server under LDAP Authentication. This will allow you to create your LDAP integration settings.
4. When creating or editing a record, under the Process Parameter section there are two new fields: mail and name, the name of these items will correspond with a new user that is created, when a user logs in via LDAP in Odoo.

# Known issues / Roadmap

- Add tests (use LDAP Mocking through something like https://mockldap.readthedocs.io/en/latest/overview.html)

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Daniel Reis

## Contributors

- Daniel Reis (https://launchpad.com/~dreis-pt),
- Tecnativa:
  - Alexandre Díaz
  - João Marques

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.